/// <reference path="../../../../../src/@types/@kano/common/index.d.ts" />
import { DialogProvider } from '../../editor/dialogs/dialog-provider.js';
import { KCAddPart } from './kc-add-part.js';
import { IPartAPI } from '../api.js';
export declare class AddPartDialogProvider extends DialogProvider {
    domNode: KCAddPart;
    private _clickSub;
    private _onDidClickPart;
    constructor();
    readonly onDidClickPart: import("@kano/common/index.js").IEvent<string>;
    setParts(parts: IPartAPI[]): void;
    setWhitelist(parts: string[]): void;
    createDom(): any;
    getPartButton(type: string): HTMLElement;
    dispose(): void;
}
export default AddPartDialogProvider;
